Package ru.bitel.bgbilling.modules.inet.server.bean

# Class AbstractInetSessionDao<B>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.bgbilling.modules.inet.server.bean.AbstractInetSessionDao<B>

All Implemented Interfaces:
  `AutoCloseable`

public abstract class AbstractInetSessionDao<B> extends ru.bitel.common.dao.AbstractDao<B>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `accountTableName`
  `protected final String`
  `detailTableName`
  `static final String`
  `TABLE_INET_SESSION_ACCOUNT`
  `static final String`
  `TABLE_INET_SESSION_DETAIL`
  `static final String`
  `TABLE_INET_SESSION_LOG`
  `static final String`
  `TABLE_INET_SESSION_LOG_ACCOUNT`
  `static final String`
  `TABLE_INET_SESSION_LOG_DETAIL`
  `static final String`
  `TABLE_INET_SESSION_LOG_ROUTE`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractInetSessionDao(Connection con, int moduleId)`
  `AbstractInetSessionDao(Connection con, int moduleId, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `addWherePart(Collection<Integer> servIds, Period period, String sql)`
  `protected String`
  `getFromAndWherePart()`
  `protected PreparedStatement`
  `getPs(int cid, Collection<Integer> servIds, Period period, Page page, String sql)`
  `Map<Integer,Long>`
  `getSessionTrafficsReport(int cid, Collection<Integer> servIds, Period period, Collection<Integer> trafficTypeIds)`
  `List<Double>`
  `getSumReportInfo(int cid, Collection<Integer> servIds, Period period)`
  `void`
  `loadAccount(List<InetSessionLog> sessions, Collection<Integer> serviceIds)`
  `void`
  `loadTraffics(List<InetSessionLog> sessions, Collection<Integer> trafficTypeIds)`
  `protected void`
  `setParams(int cid, Period period, PreparedStatement ps)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getFromRS, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update, updateImpl`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_INET_SESSION_LOG

    public static final String TABLE_INET_SESSION_LOG
    See Also:
      - Constant Field Values

  - ### TABLE_INET_SESSION_LOG_DETAIL

    public static final String TABLE_INET_SESSION_LOG_DETAIL
    See Also:
      - Constant Field Values

  - ### TABLE_INET_SESSION_LOG_ROUTE

    public static final String TABLE_INET_SESSION_LOG_ROUTE
    See Also:
      - Constant Field Values

  - ### TABLE_INET_SESSION_LOG_ACCOUNT

    public static final String TABLE_INET_SESSION_LOG_ACCOUNT
    See Also:
      - Constant Field Values

  - ### TABLE_INET_SESSION_DETAIL

    public static final String TABLE_INET_SESSION_DETAIL
    See Also:
      - Constant Field Values

  - ### TABLE_INET_SESSION_ACCOUNT

    public static final String TABLE_INET_SESSION_ACCOUNT
    See Also:
      - Constant Field Values

  - ### detailTableName

    protected final String detailTableName

  - ### accountTableName

    protected final String accountTableName

- ## Constructor Details

  - ### AbstractInetSessionDao

    public AbstractInetSessionDao(Connection con, int moduleId, Date date)

  - ### AbstractInetSessionDao

    public AbstractInetSessionDao(Connection con, int moduleId)

- ## Method Details

  - ### getSessionTrafficsReport

    public Map<Integer,Long> getSessionTrafficsReport(int cid, Collection<Integer> servIds, Period period, Collection<Integer> trafficTypeIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addWherePart

    protected String addWherePart(Collection<Integer> servIds, Period period, String sql)

  - ### setParams

    protected void setParams(int cid, Period period, PreparedStatement ps) throws SQLException
    Throws:
      `SQLException`

  - ### loadAccount

    public void loadAccount(List<InetSessionLog> sessions, Collection<Integer> serviceIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### loadTraffics

    public void loadTraffics(List<InetSessionLog> sessions, Collection<Integer> trafficTypeIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSumReportInfo

    public List<Double> getSumReportInfo(int cid, Collection<Integer> servIds, Period period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromAndWherePart

    protected String getFromAndWherePart()

  - ### getPs

    protected PreparedStatement getPs(int cid, Collection<Integer> servIds, Period period, Page page, String sql) throws SQLException
    Throws:
      `SQLException`